Index: include/libvirt/libvirt.h
===================================================================
RCS file: /data/cvs/libvirt/include/libvirt/libvirt.h,v
retrieving revision 1.43
diff -u -p -r1.43 libvirt.h
--- include/libvirt/libvirt.h	17 Apr 2007 09:33:51 -0000	1.43
+++ include/libvirt/libvirt.h	27 Apr 2007 08:08:36 -0000
@@ -89,6 +89,20 @@ typedef enum {
 } virDeviceMode;
 
 /**
+ * virDomainScope:
+ *
+ * Flags that determine the mode of changing allocation
+ *
+ */
+typedef enum {
+    VIR_DOMAIN_SCOPE_CURRENT = 0, /* current handring */
+    VIR_DOMAIN_SCOPE_STATIC  = 1, /* static mode */
+    VIR_DOMAIN_SCOPE_DYNAMIC = 2, /* dynamic mode */
+    VIR_DOMAIN_SCOPE_BOTH    = 3, /* both mode */
+    VIR_DOMAIN_SCOPE_NEXT    = 4, /* next information */
+} virDomainScope;
+
+/**
  * virDomainInfoPtr:
  *
  * a virDomainInfo is a structure filled by virDomainGetInfo() and extracting
@@ -315,8 +329,12 @@ char *			virDomainGetOSType	(virDomainPt
 unsigned long		virDomainGetMaxMemory	(virDomainPtr domain);
 int			virDomainSetMaxMemory	(virDomainPtr domain,
 						 unsigned long memory);
+int			virDomainSetMaxMemoryScope(virDomainPtr domain,
+						 unsigned long memory, int scope);
 int			virDomainSetMemory	(virDomainPtr domain,
 						 unsigned long memory);
+int			virDomainSetMemoryScope(virDomainPtr domain,
+						 unsigned long memory, int scope);
 int			virDomainGetMaxVcpus	(virDomainPtr domain);
 
 /*
@@ -363,6 +381,8 @@ typedef virVcpuInfo *virVcpuInfoPtr;
 
 int			virDomainSetVcpus	(virDomainPtr domain,
 						 unsigned int nvcpus);
+int			virDomainSetVcpusScope(virDomainPtr domain,
+						 unsigned int nvcpus, int scope);
 
 int			virDomainPinVcpu	(virDomainPtr domain,
 						 unsigned int vcpu,
